﻿using Furion.DataValidation;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IStation.Application
{
    /// <summary>
    /// 添加报警等级
    /// </summary>
    public class AddAlarmLevelInput
    {

        /// <summary>
        /// 公司标识
        /// </summary>	
        [Required,Range(1,long.MaxValue,ErrorMessage = "CorpID 必须大于0")]
        public long CorpID { get; set; }

        /// <summary>
        /// 名称
        /// </summary>	
        [Required, DataValidation(AllowEmptyStrings =false)]
        public string Name { get; set; }

        /// <summary>
        /// 显示颜色
        /// </summary>	
        [Required, DataValidation(ValidationTypes.Color)]
        public string Color { get; set; }

        /// <summary>
        /// 报警级别
        /// </summary>	
        [Required]
        public int Grade { get; set; }

        /// <summary>
        /// 说明
        /// </summary>	
        public string Description { get; set; }
    }
}
